#!/bin/sh
#
# This file was automatically customized by debmake on Fri, 13 Sep 2002 17:57:08 +0200
#
# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.org>.
# Modified for Debian by Christoph Lameter <clameter@debian.org>

# Modified for japana package by Christian Garbs <mitch@cgarbs.de>.
# 
# $Id: init.d,v 1.19 2002/09/26 23:17:21 mitch Exp $

PATH=/bin:/usr/bin:/sbin:/usr/sbin
DAEMON=/usr/bin/japana
PIDFILE=/var/run/japana/japana.pid
NAME=japana
CONFIGFILE=/etc/japana.conf
USERID=proxy
GROUPID=nogroup
# The following value is extracted by debstd to figure out how to generate
# the postinst script. Edit the field to change the way the script is
# registered through update-rc.d (see the manpage for update-rc.d!)
FLAGS="defaults 50"

set -e
test -f $DAEMON || exit 0

case "$1" in
  start)
    start-stop-daemon --start --verbose --background \
	--user $USERID --chuid $USERID:$GROUPID --pidfile $PIDFILE --make-pidfile \
	--name $NAME --startas $DAEMON -- -c $CONFIGFILE
    ;;
  stop)
    start-stop-daemon --stop --verbose --user $USERID --pidfile $PIDFILE --name $NAME $DAEMON \
	&& rm $PIDFILE
    ;;
  #reload)
    #
    # If the daemon can reload its config files on the fly
    # for example by sending it SIGHUP, do it here.
    #
    # If the daemon responds to changes in its config file
    # directly anyway, make this a do-nothing entry.
    #
    # start-stop-daemon --stop --signal 1 --verbose --exec $DAEMON
    # ;;
  restart|force-reload)
  #
  # If the "reload" option is implemented, move the "force-reload"
  # option to the "reload" entry above. If not, "force-reload" is
  # just the same as "restart".
  #
    start-stop-daemon --stop --verbose --user $USERID --pidfile $PIDFILE --name $NAME $DAEMON \
	&& rm $PIDFILE
    sleep 1
    start-stop-daemon --start --verbose --background \
	--user $USERID --chuid $USERID:$GROUPID --pidfile $PIDFILE --make-pidfile \
	--name $NAME --startas $DAEMON -- -c $CONFIGFILE
    ;;
  *)
    echo "Usage: /etc/init.d/japana {start|stop|restart|force-reload}"
    exit 1
    ;;
esac

exit 0
